Skip to main content
GET
/
api
/
v2
/
service-accounts
/
{id}
Get service account
curl --request GET \
  --url https://api.example.com/api/v2/service-accounts/{id}
import requests

url = "https://api.example.com/api/v2/service-accounts/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v2/service-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "isActive": true,
    "clientSecretPrefix": "<string>",
    "credentialExpirationDate": "2023-11-07T05:31:56Z",
    "workspaceAssignments": [
      {
        "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "workspaceName": "<string>"
      }
    ],
    "credentials": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "clientSecretPrefix": "<string>",
        "expirationDate": "2023-11-07T05:31:56Z",
        "lastUsedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "scopes": [
          "<string>"
        ]
      }
    ],
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "lastModifiedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}

Path Parameters

id
string<uuid>
required

Response

OK

Standard v2 API response envelope for single-item responses.

data
object
meta
object